bitel.billing.server.script.bean

## Class ScriptMachine

- java.lang.Object
- - bitel.billing.server.script.bean.ScriptMachine

- Direct Known Subclasses:
    ScriptMachine.ThreadedScriptMachine

  Deprecated.

      @Deprecated
      public class ScriptMachine
      extends java.lang.Object

  После перехода на новые события этот класс не нужен. script wrapper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScriptMachine.ThreadedScriptMachine` Deprecated.
    `protected static class` | `ScriptMachine.ZTest` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptMachine(ScriptInstance function)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScriptMachine` | `newInstance(ScriptInstance script)` Deprecated.
    `void` | `runScript(DefaultServerSetup setup, Event event, boolean logProcess)` Deprecated.
    `protected void` | `runScriptImpl(DefaultServerSetup setup, ConnectionSet connectionSet, Event event, java.io.PrintStream outPrintStream, java.io.PrintStream errPrintStream)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptMachine

          public ScriptMachine(ScriptInstance function)

      Deprecated.

  - ### Method Detail

    - #### runScript

          public void runScript(DefaultServerSetup setup,
                                Event event,
                                boolean logProcess)

      Deprecated.

    - #### runScriptImpl

          protected void runScriptImpl(DefaultServerSetup setup,
                                       ConnectionSet connectionSet,
                                       Event event,
                                       java.io.PrintStream outPrintStream,
                                       java.io.PrintStream errPrintStream)
                                throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### newInstance

          public static final ScriptMachine newInstance(ScriptInstance script)

      Deprecated.